<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

  ///////////////////////////////////////
  // 
  // Localization support
  
$bool_LL = FALSE;
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['quick_shop']);
if (strtolower(substr($confArr['LLsupport'], 0, strlen('yes'))) == 'yes')
{
  $bool_LL = TRUE;
}
  // Localization support



  ///////////////////////////////////////
  // 
  // tx_quickshop_categories
  
  // Non localized
$TCA['tx_quickshop_categories'] = array (
  'ctrl' => $TCA['tx_quickshop_categories']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title'
  ),
  'feInterface' => $TCA['tx_quickshop_categories']['feInterface'],
  'columns' => array (
    'hidden' => array (    
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (    
      'exclude' => 0,    
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_categories.title',
      'config' => array (
        'type' => 'input',  
        'size' => '30',  
        'eval' => 'required',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'hidden;;1;;1-1-1, title;;%2%;;2-2-2')
  ),
  'palettes' => array (
    '1' => array('showitem' => ''),
    '2' => array('showitem' => '%title_lang_ol%'),
  )
);
  // Non localized

  // Localization support
if($bool_LL)
{
  // Add language overlay fields to showRecordFieldList
  $showRecordFieldList = $TCA['tx_quickshop_categories']['interface']['showRecordFieldList'];
  $TCA['tx_quickshop_categories']['interface']['showRecordFieldList'] = $showRecordFieldList.',title_lang_ol';
  // Add language overlay fields to showRecordFieldList
  // Add language overlay fields to type
  $showitem = $TCA['tx_quickshop_categories']['types']['0']['showitem'];
  $showitem = str_replace('%2%', '2', $showitem);
  $TCA['tx_quickshop_categories']['types']['0']['showitem'] = $showitem;
  // Add language overlay fields to type
  // Add language overlay fields to palettes
  $showitem = $TCA['tx_quickshop_categories']['palettes']['2']['showitem'];
  $TCA['tx_quickshop_categories']['palettes']['2']['showitem'] = str_replace('%title_lang_ol%', 'title_lang_ol', $showitem);
  // Add language overlay fields to palettes
  // Add language overlay fields to columns array
  $TCA['tx_quickshop_categories']['columns']['title_lang_ol'] = array
  (
    'exclude' => 0,
    'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_categories.title_lang_ol',
    'config' => array (
      'type' => 'input',
      'size' => '30',
    )
  );
  // Add language overlay fields to columns array
}
if(!$bool_LL)
{
  // Remove language overlay fields from type
  $showitem = $TCA['tx_quickshop_categories']['types']['0']['showitem'];
  $showitem = str_replace('%2%', '', $showitem);
  $TCA['tx_quickshop_categories']['types']['0']['showitem'] = $showitem;
  // Remove language overlay fields from type
  // Remove language overlay fields from palettes
  $showitem = $TCA['tx_quickshop_categories']['palettes']['2']['showitem'];
  $TCA['tx_quickshop_categories']['palettes']['2']['showitem'] = str_replace('%title_lang_ol%', '', $showitem);
  // Remove language overlay fields from palettes
}
  // Localization support
  // tx_quickshop_categories



  ///////////////////////////////////////
  // 
  // tx_quickshop_products
  
  // Non localized
$TCA['tx_quickshop_products'] = array (
  'ctrl' => $TCA['tx_quickshop_products']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'hidden,title,short,description,category,price,tax,in_stock,image,caption,imagealttext,imagetitletext'
  ),
  'feInterface' => $TCA['tx_quickshop_products']['feInterface'],
  'columns' => array (
    'hidden' => array (
      'exclude' => 1,
      'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config'  => array (
        'type'    => 'check',
        'default' => '0'
      )
    ),
    'title' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.title',
      'config' => array (
        'type' => 'input',  
        'size' => '30',  
        'eval' => 'required',
      )
    ),
    'short' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.short',
      'config' => array (
        'type' => 'text',
        'cols' => '30',  
        'rows' => '5',
      )
    ),
    'description' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.description',
      'config' => array (
        'type' => 'text',
        'cols' => '30',
        'rows' => '5',
        'wizards' => array(
          '_PADDING' => 2,
          'RTE' => array(
            'notNewRecords' => 1,
            'RTEonly'       => 1,
            'type'          => 'script',
            'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
            'icon'          => 'wizard_rte2.gif',
            'script'        => 'wizard_rte.php',
          ),
        ),
      )
    ),
    'category' => array (
      'l10n_mode' => 'exclude',
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.category',
      'config' => array (
        'type' => 'select',  
        'foreign_table' => 'tx_quickshop_categories',  
        'foreign_table_where' => 'AND tx_quickshop_categories.pid=###CURRENT_PID### ORDER BY tx_quickshop_categories.uid',  
        'size' => 10,  
        'minitems' => 0,
        'maxitems' => 10,  
        "MM" => "tx_quickshop_products_category_mm",  
        'wizards' => array(
          '_PADDING'  => 2,
          '_VERTICAL' => 1,
          'add' => array(
            'type'   => 'script',
            'title'  => 'Create new record',
            'icon'   => 'add.gif',
            'params' => array(
              'table'    => 'tx_quickshop_categories',
              'pid'      => '###CURRENT_PID###',
              'setValue' => 'prepend'
            ),
            'script' => 'wizard_add.php',
          ),
          'list' => array(
            'type'   => 'script',
            'title'  => 'List',
            'icon'   => 'list.gif',
            'params' => array(
              'table' => 'tx_quickshop_categories',
              'pid'   => '###CURRENT_PID###',
            ),
            'script' => 'wizard_list.php',
          ),
          'edit' => array(
            'type'                     => 'popup',
            'title'                    => 'Edit',
            'script'                   => 'wizard_edit.php',
            'popup_onlyOpenIfSelected' => 1,
            'icon'                     => 'edit2.gif',
            'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
          ),
        ),
      )
    ),
    'price' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.price',
      'config' => array (
        'type' => 'input',  
        'size' => '30',  
        'eval' => 'required,double2,nospace',
      )
    ),
    'tax' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.tax',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array('LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.tax.I.0', '1'),
          array('LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.tax.I.1', '2'),
        ),
        'size' => 1,  
        'maxitems' => 1,
      )
    ),
    'in_stock' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.in_stock',
      'config' => array (
        'type' => 'check',
        'default' => 1,
      )
    ),
    'image' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.image',
      'config' => array (
        'type' => 'group',
        'internal_type' => 'file',
        'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],  
        'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],  
        'uploadfolder' => 'uploads/tx_quickshop',
        'show_thumbs' => 1,  
        'size' => 10,  
        'minitems' => 0,
        'maxitems' => 10,
      )
    ),
    'caption' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.caption',
      'config' => array (
        'type' => 'text',
        'cols' => '30',  
        'rows' => '5',
      )
    ),
    'imagealttext' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.imagealttext',
      'config' => array (
        'type' => 'text',
        'cols' => '30',  
        'rows' => '5',
      )
    ),
    'imagetitletext' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.imagetitletext',
      'config' => array (
        'type' => 'text',
        'cols' => '30',  
        'rows' => '5',
      )
    ),
  ),
  'types' => array (
    '0' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1;;1-1-1, title;;;;2-2-2, short;;;;3-3-3, description;;;richtext[]:rte_transform[mode=ts], category, price, tax, in_stock, image, caption, imagealttext, imagetitletext')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);

  // Localization support
if($bool_LL)
{
  // Add language overlay fields to showRecordFieldList
  $showRecordFieldList = $TCA['tx_quickshop_products']['interface']['showRecordFieldList'];
  $TCA['tx_jobmarket_sectorgroup']['interface']['tx_quickshop_products'] = $showRecordFieldList.',sys_language_uid,l10n_parent,l10n_diffsource';
  // Add language overlay fields to showRecordFieldList

  // Add localization fields to columns array
  $TCA['tx_quickshop_products']['columns']['sys_language_uid'] = array
  (
    'l10n_mode' => 'exclude',
    'exclude' => 1,
    'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
    'config' => array (
      'type'                => 'select',
      'foreign_table'       => 'sys_language',
      'foreign_table_where' => 'ORDER BY sys_language.title',
      'items' => array(
        array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
        array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
      )
    )
  );
  $TCA['tx_quickshop_products']['columns']['l10n_parent'] = array
  (
    'l10n_mode' => 'exclude',
    'displayCond' => 'FIELD:sys_language_uid:>:0',
    'exclude'     => 1,
    'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
    'config'      => array (
      'type'  => 'select',
      'items' => array (
        array('', 0),
      ),
      'foreign_table'       => 'tx_quickshop_products',
      'foreign_table_where' => 'AND tx_quickshop_products.pid=###CURRENT_PID### AND tx_quickshop_products.sys_language_uid IN (-1,0)',
    )
  );
  $TCA['tx_quickshop_products']['columns']['l10n_diffsource'] = array
  (
    'config' => array (
      'type' => 'passthrough'
    )
  );
  // Add localization fields to columns array
}
  // Localization support
  // tx_quickshop_products
?>